import { BacktraceAttachment, BreadcrumbsStorage, RawBreadcrumb, SessionFiles } from '@backtrace/sdk-core';
import { NodeFileSystem } from '../storage/interfaces/NodeFileSystem';
export declare class FileBreadcrumbsStorage implements BreadcrumbsStorage {
    private readonly _mainFile;
    private readonly _fallbackFile;
    get lastBreadcrumbId(): number;
    private _lastBreadcrumbId;
    private readonly _writer;
    constructor(_mainFile: string, _fallbackFile: string, fileSystem: NodeFileSystem, maximumBreadcrumbs: number);
    static createFromSession(session: SessionFiles, fileSystem: NodeFileSystem): FileBreadcrumbsStorage | undefined;
    static create(session: SessionFiles, fileSystem: NodeFileSystem, maximumBreadcrumbs: number): FileBreadcrumbsStorage;
    getAttachments(): BacktraceAttachment<unknown>[];
    add(rawBreadcrumb: RawBreadcrumb): number;
    private static getFileName;
}
