import { BacktraceAttachment } from '@backtrace/sdk-core';
import { NodeFileSystem, WritableStream } from './interfaces/NodeFileSystem';
export declare class FsNodeFileSystem implements NodeFileSystem {
    readDir(dir: string): Promise<string[]>;
    readDirSync(dir: string): string[];
    createDir(dir: string): Promise<void>;
    createDirSync(dir: string): void;
    readFile(path: string): Promise<string>;
    readFileSync(path: string): string;
    writeFile(path: string, content: string): Promise<void>;
    writeFileSync(path: string, content: string): void;
    unlink(path: string): Promise<void>;
    unlinkSync(path: string): void;
    rename(oldPath: string, newPath: string): Promise<void>;
    renameSync(oldPath: string, newPath: string): void;
    createWriteStream(path: string): WritableStream;
    exists(path: string): Promise<boolean>;
    existsSync(path: string): boolean;
    createAttachment(path: string, name?: string): BacktraceAttachment<unknown>;
}
