export declare class Events<E extends Record<string | number | symbol, (...args: any[]) => unknown> = Record<string | number | symbol, (...args: any[]) => unknown>> {
    private readonly _callbacks;
    on<N extends keyof E>(event: N, callback: E[N]): this;
    once<N extends keyof E>(event: N, callback: E[N]): this;
    off<N extends keyof E>(event: N, callback: E[N]): this;
    emit<N extends keyof E>(event: N, ...args: Parameters<E[N]>): boolean;
    private addCallback;
    private removeCallback;
}
