import { AttributeType } from '../../model/data';
import { BacktraceModule, BacktraceModuleBindData } from '../BacktraceModule';
import { FileSystem, SessionFiles } from '../storage';
export declare class FileAttributeManager implements BacktraceModule {
    private readonly _fileSystem;
    private _fileName?;
    private _attributeManager?;
    constructor(_fileSystem: FileSystem, _fileName?: string | undefined);
    static create(fileSystem: FileSystem): FileAttributeManager;
    static createFromSession(sessionFiles: SessionFiles, fileSystem: FileSystem): FileAttributeManager;
    initialize(): void;
    bind({ attributeManager, sessionFiles }: BacktraceModuleBindData): void;
    dispose(): void;
    get(): Promise<Record<string, AttributeType>>;
    private saveAttributes;
}
